<?php
defined('C5_EXECUTE') or die('Access Denied.');

use ContainerCheck\ContainerChecker;

/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
?>
<div class="container-check-display ccm-pane-body" style="min-height:150px;">
    <?php
    if (!empty($containers)) {
        ?>
        <div class="row">
            <div class="col-sm-12">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th>
                            <?php
                            echo t('Container');
                            ?>
                            <span class="float-end">
                                <button class="btn btn-sm btn-info toggle_padding"
                                        title="<?php
                                        echo t('Toggle additional padding top/bottom'); ?>"
                                        data-bs-toggle="tooltip"
                                >
                                    <i class="fa fas fa-square"></i>
                                    <?php
                                    echo t('Pad'); ?>
                                </button>
                                <button class="btn btn-sm btn-dark toggle_html"
                                        title="<?php
                                        echo t('Toggle html view'); ?>"
                                        data-bs-toggle="tooltip"
                                >
                                    <i class="fa fas fa-code"></i>
                                    <?php
                                    echo t('Html'); ?>
                                </button>
                            </span>
                        </th>
                        <th style="width:150px;max-width:150px;">
                            <?php
                            echo t('Icon');
                            ?>
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php

                    /*
                     * TODO - a pre-sort to match up variants (by md5 of html?) so we can group
                     *  irrespective of alpha sort. Then sort groups based on alpha of first in group.
                     */

                    $max = count($containers);
                    for ($ix = 0; $ix < $max; $ix++) {
                        $container = $containers[$ix];
                        if(!is_object($container)){
                            continue;
                        }
                        $cc = new ContainerChecker($container);
                        $html = $cc->getContainerHTMLWithAreas();
                        $example_html = $cc->getContainerExampleHTML();
                        ?>
                        <tr>
                            <td>
                                <h6>
                                    <?php
                                    echo $container->getContainerDisplayName();
                                    ?>
                                    <em style="text-transform: none;">
                                        <?php
                                        echo ' [';
                                        $container_pkg = $container->getPackage();
                                        if (!empty($container_pkg)) {
                                            echo $container_pkg->getPackageName();
                                            echo ': ';
                                        }
                                        echo $container->getContainerHandle();
                                        echo ']';
                                        ?>
                                    </em>
                                    <?php
                                    if ($cc->containsLoop()) {
                                        ?>
                                        <em style="text-transform: none;" class="text-danger">
                                            <?php
                                            echo t(' (Caution - areas could be looped)');
                                            ?>
                                        </em>
                                        <?php
                                    }
                                    if ($cc->containsCondition()) {
                                        ?>
                                        <em style="text-transform: none;" class="text-info">
                                            <?php
                                            echo t(' (Optional areas may collapse)');
                                            ?>
                                        </em>
                                        <?php
                                    }
                                    ?>
                                </h6>
                                <?php
                                /*
                                 * Look ahead, list all variants (assuming they are consecutive)
                                 * and jump forward ready for next non-variant on the next for loop above.
                                 */
                                while (($ix + 1) < $max) {
                                    $next_container = $containers[$ix + 1];
                                    $next_cc = new ContainerChecker($next_container);
                                    $next_html = $next_cc->getContainerHTMLWithAreas();
                                    if ($next_html === $html) {
                                        ?>
                                        <h6>
                                            <em style="text-transform: none;">
                                                <?php
                                                echo t('Variant: ');
                                                ?>
                                            </em>
                                            <?php
                                            echo $next_container->getContainerDisplayName();
                                            ?>
                                            <em style="text-transform: none;">
                                                <?php
                                                echo ' [';
                                                $next_container_pkg = $next_container->getPackage();
                                                if (!empty($next_container_pkg)) {
                                                    echo $next_container_pkg->getPackageName();
                                                    echo ': ';
                                                }
                                                echo $next_container->getContainerHandle();
                                                echo ']';
                                                ?>
                                            </em>
                                        </h6>
                                        <?php
                                        $ix++;
                                    } else {
                                        break;
                                    }
                                }
                                ?>

                                <div class="container-check-demo">
                                    <?php
                                    echo $html;
                                    ?>
                                </div>
                                <div class="raw_html">
                                    <pre><?php
                                        echo h($example_html);
                                        ?></pre>
                                </div>
                            </td>
                            <td style="max-width:150px;">
                                <?php
                                echo $container->getContainerIconImage();
                                ?>
                            </td>
                        </tr>
                        <?php
                    }
                    ?>
                    </tbody>
                </table>
            </div>
        </div>

        <?php
    } else {
        ?>
        <div class="row">
            <div class="col-sm-12">
                <div class="alert alert-warning">
                    <?php
                    echo t('Unable to find any containers');
                    ?>
                </div>
            </div>
        </div>
        <?php
    }
    ?>
</div>
