<?php
defined('C5_EXECUTE') or die('Access Denied.');

/*
  Container Check by John Liddiard (aka JohntheFish)
  www.jlunderwater.co.uk
  This software is licensed under the terms described in the concrete5.org marketplace.
  Please find the add-on there for the latest license copy.

 */
$c5org = '//concretecms.com/';
$mp_c5org = '//marketplace.concretecms.com/';
$marketplace = $mp_c5org . 'marketplace/addons/container-check/';
$addon = t('Container Check');
$c5_license = $c5org . 'about/legal/commercial-extension-license/';
$jtf = 'https://community.concretecms.com/members/profile/51576';
$avatar = $c5org . 'files/avatars/51576.jpg';
$c5magic = '//c5magic.co.uk/';
$referral = $c5org;
$c5magic_search = $c5magic . 'search?query=Container+Check&submit=Go';
$get_help = $marketplace . 'support/';
$icon = DIR_REL . '/packages/jl_container_magic/icon.png';
$getting_started = $c5magic . 'addons/container-check';
$problems = $c5magic . 'addons/container-check/problem-solving';
?>
<div class="cc-check-support ccm-ui ccm-dashboard-content" style="clear:both;">
    <div>
        <style>
            .ui-widget-content .cc-check-support a {
                color: var(--bs-link-color);
            }
        </style>
        <h2>
            <?php
            echo t('Support');
            ?>
        </h2>
        <h4>
            <?php
            echo t('Documentation');
            ?>
        </h4>
        <a href="<?php echo $marketplace; ?>" target="_blank" style="float:right;margin-left:15px"><img
                    alt="<?php echo $addon ?>"
                    src="<?php echo $icon; ?>"></a>
        <p>
            <?php
            echo t("In addition to the marketplace and documentation pages for %s%s%s on %sconcretecms.com%s, further information is available on my %ssupport site%s.",
                   '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>',
                   '<a href="' . $referral . '" target="_blank">', '</a>',
                   '<a href="' . $c5magic_search . '" target="_blank">', '</a>'
            );
            ?>
        </p>
        <p>
            <?php
            echo t('If you are new to %s, please read the %sContainer Check%s page. ',
                   $addon, '<a href="' . $getting_started . '" target="_blank">', '</a>'
            );

            echo t('If you have a problem, please read the tips and advice at %sProblem Solving%s. ',
                   '<a href="' . $problems . '" target="_blank">', '</a>'
            );
            ?>
        </p>
    </div>

    <div style="clear:both;">
        <h4>
            <?php
            echo t('Support');
            ?>
        </h4>
        <p>
            <?php
            echo t("To ask a question about %s, please click the %sGet Help%s link on the  %smarketplace page%s. ",
                   $addon,
                   '<a href="' . $get_help . '" target="_blank">', '</a>',
                   '<a href="' . $marketplace . '" target="_blank">', '</a>'
            );
            ?>
        </p>
    </div>


    <div style="clear:both;">
        <h4>
            <?php
            echo t('License');
            ?>
        </h4>
        <p>

            <?php
            echo t("%s%s%s is licensed under the %sConcrete CMS Marketplace License%s. ",
                   '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>',
                   '<a href="' . $c5_license . '" target="_blank">', '</a>'
            );

            echo t("Each license for %s%s%s may be used on a <b>single web site</b> and associated staging and development sites. ",
                   '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>'
            );
            echo t("All %s%s%s code is copyright and may not be used in whole or in parts outside of the license except where permission to do so is granted by %sJohntheFish%s. ",
                   '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>',
                   '<a href="' . $jtf . '" target="_blank">', '</a>'
            );
            ?>
        </p>

    </div>


    <div style="clear:both;">
        <a href="<?php echo $jtf; ?>" target="_blank" style="float:left;margin-right:15px;"><img alt="avatar"
                                                                                                 src="<?php echo $avatar; ?>"></a>
        <h4>
            <?php
            echo t('Developer');
            ?>
        </h4>
        <p>

            <?php
            echo t("%s%s%s has been developed and is actively maintained by %sJohntheFish%s. A toolbox full of further addons for Concrete CMS can be explored on my %ssupport site%s.",
                   '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>',
                   '<a href="' . $jtf . '" target="_blank">', '</a>',
                   '<a href="' . $c5magic . '" target="_blank">', '</a>'
            );
            ?>
        </p>

    </div>
</div>

